import { HttpHandlerOptions as __HttpHandlerOptions } from "@smithy/types";
import {
  BatchCreateCustomVocabularyItemCommandInput,
  BatchCreateCustomVocabularyItemCommandOutput,
} from "./commands/BatchCreateCustomVocabularyItemCommand";
import {
  BatchDeleteCustomVocabularyItemCommandInput,
  BatchDeleteCustomVocabularyItemCommandOutput,
} from "./commands/BatchDeleteCustomVocabularyItemCommand";
import {
  BatchUpdateCustomVocabularyItemCommandInput,
  BatchUpdateCustomVocabularyItemCommandOutput,
} from "./commands/BatchUpdateCustomVocabularyItemCommand";
import {
  BuildBotLocaleCommandInput,
  BuildBotLocaleCommandOutput,
} from "./commands/BuildBotLocaleCommand";
import {
  CreateBotAliasCommandInput,
  CreateBotAliasCommandOutput,
} from "./commands/CreateBotAliasCommand";
import {
  CreateBotCommandInput,
  CreateBotCommandOutput,
} from "./commands/CreateBotCommand";
import {
  CreateBotLocaleCommandInput,
  CreateBotLocaleCommandOutput,
} from "./commands/CreateBotLocaleCommand";
import {
  CreateBotReplicaCommandInput,
  CreateBotReplicaCommandOutput,
} from "./commands/CreateBotReplicaCommand";
import {
  CreateBotVersionCommandInput,
  CreateBotVersionCommandOutput,
} from "./commands/CreateBotVersionCommand";
import {
  CreateExportCommandInput,
  CreateExportCommandOutput,
} from "./commands/CreateExportCommand";
import {
  CreateIntentCommandInput,
  CreateIntentCommandOutput,
} from "./commands/CreateIntentCommand";
import {
  CreateResourcePolicyCommandInput,
  CreateResourcePolicyCommandOutput,
} from "./commands/CreateResourcePolicyCommand";
import {
  CreateResourcePolicyStatementCommandInput,
  CreateResourcePolicyStatementCommandOutput,
} from "./commands/CreateResourcePolicyStatementCommand";
import {
  CreateSlotCommandInput,
  CreateSlotCommandOutput,
} from "./commands/CreateSlotCommand";
import {
  CreateSlotTypeCommandInput,
  CreateSlotTypeCommandOutput,
} from "./commands/CreateSlotTypeCommand";
import {
  CreateTestSetDiscrepancyReportCommandInput,
  CreateTestSetDiscrepancyReportCommandOutput,
} from "./commands/CreateTestSetDiscrepancyReportCommand";
import {
  CreateUploadUrlCommandInput,
  CreateUploadUrlCommandOutput,
} from "./commands/CreateUploadUrlCommand";
import {
  DeleteBotAliasCommandInput,
  DeleteBotAliasCommandOutput,
} from "./commands/DeleteBotAliasCommand";
import {
  DeleteBotCommandInput,
  DeleteBotCommandOutput,
} from "./commands/DeleteBotCommand";
import {
  DeleteBotLocaleCommandInput,
  DeleteBotLocaleCommandOutput,
} from "./commands/DeleteBotLocaleCommand";
import {
  DeleteBotReplicaCommandInput,
  DeleteBotReplicaCommandOutput,
} from "./commands/DeleteBotReplicaCommand";
import {
  DeleteBotVersionCommandInput,
  DeleteBotVersionCommandOutput,
} from "./commands/DeleteBotVersionCommand";
import {
  DeleteCustomVocabularyCommandInput,
  DeleteCustomVocabularyCommandOutput,
} from "./commands/DeleteCustomVocabularyCommand";
import {
  DeleteExportCommandInput,
  DeleteExportCommandOutput,
} from "./commands/DeleteExportCommand";
import {
  DeleteImportCommandInput,
  DeleteImportCommandOutput,
} from "./commands/DeleteImportCommand";
import {
  DeleteIntentCommandInput,
  DeleteIntentCommandOutput,
} from "./commands/DeleteIntentCommand";
import {
  DeleteResourcePolicyCommandInput,
  DeleteResourcePolicyCommandOutput,
} from "./commands/DeleteResourcePolicyCommand";
import {
  DeleteResourcePolicyStatementCommandInput,
  DeleteResourcePolicyStatementCommandOutput,
} from "./commands/DeleteResourcePolicyStatementCommand";
import {
  DeleteSlotCommandInput,
  DeleteSlotCommandOutput,
} from "./commands/DeleteSlotCommand";
import {
  DeleteSlotTypeCommandInput,
  DeleteSlotTypeCommandOutput,
} from "./commands/DeleteSlotTypeCommand";
import {
  DeleteTestSetCommandInput,
  DeleteTestSetCommandOutput,
} from "./commands/DeleteTestSetCommand";
import {
  DeleteUtterancesCommandInput,
  DeleteUtterancesCommandOutput,
} from "./commands/DeleteUtterancesCommand";
import {
  DescribeBotAliasCommandInput,
  DescribeBotAliasCommandOutput,
} from "./commands/DescribeBotAliasCommand";
import {
  DescribeBotCommandInput,
  DescribeBotCommandOutput,
} from "./commands/DescribeBotCommand";
import {
  DescribeBotLocaleCommandInput,
  DescribeBotLocaleCommandOutput,
} from "./commands/DescribeBotLocaleCommand";
import {
  DescribeBotRecommendationCommandInput,
  DescribeBotRecommendationCommandOutput,
} from "./commands/DescribeBotRecommendationCommand";
import {
  DescribeBotReplicaCommandInput,
  DescribeBotReplicaCommandOutput,
} from "./commands/DescribeBotReplicaCommand";
import {
  DescribeBotResourceGenerationCommandInput,
  DescribeBotResourceGenerationCommandOutput,
} from "./commands/DescribeBotResourceGenerationCommand";
import {
  DescribeBotVersionCommandInput,
  DescribeBotVersionCommandOutput,
} from "./commands/DescribeBotVersionCommand";
import {
  DescribeCustomVocabularyMetadataCommandInput,
  DescribeCustomVocabularyMetadataCommandOutput,
} from "./commands/DescribeCustomVocabularyMetadataCommand";
import {
  DescribeExportCommandInput,
  DescribeExportCommandOutput,
} from "./commands/DescribeExportCommand";
import {
  DescribeImportCommandInput,
  DescribeImportCommandOutput,
} from "./commands/DescribeImportCommand";
import {
  DescribeIntentCommandInput,
  DescribeIntentCommandOutput,
} from "./commands/DescribeIntentCommand";
import {
  DescribeResourcePolicyCommandInput,
  DescribeResourcePolicyCommandOutput,
} from "./commands/DescribeResourcePolicyCommand";
import {
  DescribeSlotCommandInput,
  DescribeSlotCommandOutput,
} from "./commands/DescribeSlotCommand";
import {
  DescribeSlotTypeCommandInput,
  DescribeSlotTypeCommandOutput,
} from "./commands/DescribeSlotTypeCommand";
import {
  DescribeTestExecutionCommandInput,
  DescribeTestExecutionCommandOutput,
} from "./commands/DescribeTestExecutionCommand";
import {
  DescribeTestSetCommandInput,
  DescribeTestSetCommandOutput,
} from "./commands/DescribeTestSetCommand";
import {
  DescribeTestSetDiscrepancyReportCommandInput,
  DescribeTestSetDiscrepancyReportCommandOutput,
} from "./commands/DescribeTestSetDiscrepancyReportCommand";
import {
  DescribeTestSetGenerationCommandInput,
  DescribeTestSetGenerationCommandOutput,
} from "./commands/DescribeTestSetGenerationCommand";
import {
  GenerateBotElementCommandInput,
  GenerateBotElementCommandOutput,
} from "./commands/GenerateBotElementCommand";
import {
  GetTestExecutionArtifactsUrlCommandInput,
  GetTestExecutionArtifactsUrlCommandOutput,
} from "./commands/GetTestExecutionArtifactsUrlCommand";
import {
  ListAggregatedUtterancesCommandInput,
  ListAggregatedUtterancesCommandOutput,
} from "./commands/ListAggregatedUtterancesCommand";
import {
  ListBotAliasesCommandInput,
  ListBotAliasesCommandOutput,
} from "./commands/ListBotAliasesCommand";
import {
  ListBotAliasReplicasCommandInput,
  ListBotAliasReplicasCommandOutput,
} from "./commands/ListBotAliasReplicasCommand";
import {
  ListBotLocalesCommandInput,
  ListBotLocalesCommandOutput,
} from "./commands/ListBotLocalesCommand";
import {
  ListBotRecommendationsCommandInput,
  ListBotRecommendationsCommandOutput,
} from "./commands/ListBotRecommendationsCommand";
import {
  ListBotReplicasCommandInput,
  ListBotReplicasCommandOutput,
} from "./commands/ListBotReplicasCommand";
import {
  ListBotResourceGenerationsCommandInput,
  ListBotResourceGenerationsCommandOutput,
} from "./commands/ListBotResourceGenerationsCommand";
import {
  ListBotsCommandInput,
  ListBotsCommandOutput,
} from "./commands/ListBotsCommand";
import {
  ListBotVersionReplicasCommandInput,
  ListBotVersionReplicasCommandOutput,
} from "./commands/ListBotVersionReplicasCommand";
import {
  ListBotVersionsCommandInput,
  ListBotVersionsCommandOutput,
} from "./commands/ListBotVersionsCommand";
import {
  ListBuiltInIntentsCommandInput,
  ListBuiltInIntentsCommandOutput,
} from "./commands/ListBuiltInIntentsCommand";
import {
  ListBuiltInSlotTypesCommandInput,
  ListBuiltInSlotTypesCommandOutput,
} from "./commands/ListBuiltInSlotTypesCommand";
import {
  ListCustomVocabularyItemsCommandInput,
  ListCustomVocabularyItemsCommandOutput,
} from "./commands/ListCustomVocabularyItemsCommand";
import {
  ListExportsCommandInput,
  ListExportsCommandOutput,
} from "./commands/ListExportsCommand";
import {
  ListImportsCommandInput,
  ListImportsCommandOutput,
} from "./commands/ListImportsCommand";
import {
  ListIntentMetricsCommandInput,
  ListIntentMetricsCommandOutput,
} from "./commands/ListIntentMetricsCommand";
import {
  ListIntentPathsCommandInput,
  ListIntentPathsCommandOutput,
} from "./commands/ListIntentPathsCommand";
import {
  ListIntentsCommandInput,
  ListIntentsCommandOutput,
} from "./commands/ListIntentsCommand";
import {
  ListIntentStageMetricsCommandInput,
  ListIntentStageMetricsCommandOutput,
} from "./commands/ListIntentStageMetricsCommand";
import {
  ListRecommendedIntentsCommandInput,
  ListRecommendedIntentsCommandOutput,
} from "./commands/ListRecommendedIntentsCommand";
import {
  ListSessionAnalyticsDataCommandInput,
  ListSessionAnalyticsDataCommandOutput,
} from "./commands/ListSessionAnalyticsDataCommand";
import {
  ListSessionMetricsCommandInput,
  ListSessionMetricsCommandOutput,
} from "./commands/ListSessionMetricsCommand";
import {
  ListSlotsCommandInput,
  ListSlotsCommandOutput,
} from "./commands/ListSlotsCommand";
import {
  ListSlotTypesCommandInput,
  ListSlotTypesCommandOutput,
} from "./commands/ListSlotTypesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  ListTestExecutionResultItemsCommandInput,
  ListTestExecutionResultItemsCommandOutput,
} from "./commands/ListTestExecutionResultItemsCommand";
import {
  ListTestExecutionsCommandInput,
  ListTestExecutionsCommandOutput,
} from "./commands/ListTestExecutionsCommand";
import {
  ListTestSetRecordsCommandInput,
  ListTestSetRecordsCommandOutput,
} from "./commands/ListTestSetRecordsCommand";
import {
  ListTestSetsCommandInput,
  ListTestSetsCommandOutput,
} from "./commands/ListTestSetsCommand";
import {
  ListUtteranceAnalyticsDataCommandInput,
  ListUtteranceAnalyticsDataCommandOutput,
} from "./commands/ListUtteranceAnalyticsDataCommand";
import {
  ListUtteranceMetricsCommandInput,
  ListUtteranceMetricsCommandOutput,
} from "./commands/ListUtteranceMetricsCommand";
import {
  SearchAssociatedTranscriptsCommandInput,
  SearchAssociatedTranscriptsCommandOutput,
} from "./commands/SearchAssociatedTranscriptsCommand";
import {
  StartBotRecommendationCommandInput,
  StartBotRecommendationCommandOutput,
} from "./commands/StartBotRecommendationCommand";
import {
  StartBotResourceGenerationCommandInput,
  StartBotResourceGenerationCommandOutput,
} from "./commands/StartBotResourceGenerationCommand";
import {
  StartImportCommandInput,
  StartImportCommandOutput,
} from "./commands/StartImportCommand";
import {
  StartTestExecutionCommandInput,
  StartTestExecutionCommandOutput,
} from "./commands/StartTestExecutionCommand";
import {
  StartTestSetGenerationCommandInput,
  StartTestSetGenerationCommandOutput,
} from "./commands/StartTestSetGenerationCommand";
import {
  StopBotRecommendationCommandInput,
  StopBotRecommendationCommandOutput,
} from "./commands/StopBotRecommendationCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateBotAliasCommandInput,
  UpdateBotAliasCommandOutput,
} from "./commands/UpdateBotAliasCommand";
import {
  UpdateBotCommandInput,
  UpdateBotCommandOutput,
} from "./commands/UpdateBotCommand";
import {
  UpdateBotLocaleCommandInput,
  UpdateBotLocaleCommandOutput,
} from "./commands/UpdateBotLocaleCommand";
import {
  UpdateBotRecommendationCommandInput,
  UpdateBotRecommendationCommandOutput,
} from "./commands/UpdateBotRecommendationCommand";
import {
  UpdateExportCommandInput,
  UpdateExportCommandOutput,
} from "./commands/UpdateExportCommand";
import {
  UpdateIntentCommandInput,
  UpdateIntentCommandOutput,
} from "./commands/UpdateIntentCommand";
import {
  UpdateResourcePolicyCommandInput,
  UpdateResourcePolicyCommandOutput,
} from "./commands/UpdateResourcePolicyCommand";
import {
  UpdateSlotCommandInput,
  UpdateSlotCommandOutput,
} from "./commands/UpdateSlotCommand";
import {
  UpdateSlotTypeCommandInput,
  UpdateSlotTypeCommandOutput,
} from "./commands/UpdateSlotTypeCommand";
import {
  UpdateTestSetCommandInput,
  UpdateTestSetCommandOutput,
} from "./commands/UpdateTestSetCommand";
import { LexModelsV2Client } from "./LexModelsV2Client";
export interface LexModelsV2 {
  batchCreateCustomVocabularyItem(
    args: BatchCreateCustomVocabularyItemCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<BatchCreateCustomVocabularyItemCommandOutput>;
  batchCreateCustomVocabularyItem(
    args: BatchCreateCustomVocabularyItemCommandInput,
    cb: (err: any, data?: BatchCreateCustomVocabularyItemCommandOutput) => void
  ): void;
  batchCreateCustomVocabularyItem(
    args: BatchCreateCustomVocabularyItemCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: BatchCreateCustomVocabularyItemCommandOutput) => void
  ): void;
  batchDeleteCustomVocabularyItem(
    args: BatchDeleteCustomVocabularyItemCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<BatchDeleteCustomVocabularyItemCommandOutput>;
  batchDeleteCustomVocabularyItem(
    args: BatchDeleteCustomVocabularyItemCommandInput,
    cb: (err: any, data?: BatchDeleteCustomVocabularyItemCommandOutput) => void
  ): void;
  batchDeleteCustomVocabularyItem(
    args: BatchDeleteCustomVocabularyItemCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: BatchDeleteCustomVocabularyItemCommandOutput) => void
  ): void;
  batchUpdateCustomVocabularyItem(
    args: BatchUpdateCustomVocabularyItemCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<BatchUpdateCustomVocabularyItemCommandOutput>;
  batchUpdateCustomVocabularyItem(
    args: BatchUpdateCustomVocabularyItemCommandInput,
    cb: (err: any, data?: BatchUpdateCustomVocabularyItemCommandOutput) => void
  ): void;
  batchUpdateCustomVocabularyItem(
    args: BatchUpdateCustomVocabularyItemCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: BatchUpdateCustomVocabularyItemCommandOutput) => void
  ): void;
  buildBotLocale(
    args: BuildBotLocaleCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<BuildBotLocaleCommandOutput>;
  buildBotLocale(
    args: BuildBotLocaleCommandInput,
    cb: (err: any, data?: BuildBotLocaleCommandOutput) => void
  ): void;
  buildBotLocale(
    args: BuildBotLocaleCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: BuildBotLocaleCommandOutput) => void
  ): void;
  createBot(
    args: CreateBotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateBotCommandOutput>;
  createBot(
    args: CreateBotCommandInput,
    cb: (err: any, data?: CreateBotCommandOutput) => void
  ): void;
  createBot(
    args: CreateBotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateBotCommandOutput) => void
  ): void;
  createBotAlias(
    args: CreateBotAliasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateBotAliasCommandOutput>;
  createBotAlias(
    args: CreateBotAliasCommandInput,
    cb: (err: any, data?: CreateBotAliasCommandOutput) => void
  ): void;
  createBotAlias(
    args: CreateBotAliasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateBotAliasCommandOutput) => void
  ): void;
  createBotLocale(
    args: CreateBotLocaleCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateBotLocaleCommandOutput>;
  createBotLocale(
    args: CreateBotLocaleCommandInput,
    cb: (err: any, data?: CreateBotLocaleCommandOutput) => void
  ): void;
  createBotLocale(
    args: CreateBotLocaleCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateBotLocaleCommandOutput) => void
  ): void;
  createBotReplica(
    args: CreateBotReplicaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateBotReplicaCommandOutput>;
  createBotReplica(
    args: CreateBotReplicaCommandInput,
    cb: (err: any, data?: CreateBotReplicaCommandOutput) => void
  ): void;
  createBotReplica(
    args: CreateBotReplicaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateBotReplicaCommandOutput) => void
  ): void;
  createBotVersion(
    args: CreateBotVersionCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateBotVersionCommandOutput>;
  createBotVersion(
    args: CreateBotVersionCommandInput,
    cb: (err: any, data?: CreateBotVersionCommandOutput) => void
  ): void;
  createBotVersion(
    args: CreateBotVersionCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateBotVersionCommandOutput) => void
  ): void;
  createExport(
    args: CreateExportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateExportCommandOutput>;
  createExport(
    args: CreateExportCommandInput,
    cb: (err: any, data?: CreateExportCommandOutput) => void
  ): void;
  createExport(
    args: CreateExportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateExportCommandOutput) => void
  ): void;
  createIntent(
    args: CreateIntentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateIntentCommandOutput>;
  createIntent(
    args: CreateIntentCommandInput,
    cb: (err: any, data?: CreateIntentCommandOutput) => void
  ): void;
  createIntent(
    args: CreateIntentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateIntentCommandOutput) => void
  ): void;
  createResourcePolicy(
    args: CreateResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateResourcePolicyCommandOutput>;
  createResourcePolicy(
    args: CreateResourcePolicyCommandInput,
    cb: (err: any, data?: CreateResourcePolicyCommandOutput) => void
  ): void;
  createResourcePolicy(
    args: CreateResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateResourcePolicyCommandOutput) => void
  ): void;
  createResourcePolicyStatement(
    args: CreateResourcePolicyStatementCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateResourcePolicyStatementCommandOutput>;
  createResourcePolicyStatement(
    args: CreateResourcePolicyStatementCommandInput,
    cb: (err: any, data?: CreateResourcePolicyStatementCommandOutput) => void
  ): void;
  createResourcePolicyStatement(
    args: CreateResourcePolicyStatementCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateResourcePolicyStatementCommandOutput) => void
  ): void;
  createSlot(
    args: CreateSlotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateSlotCommandOutput>;
  createSlot(
    args: CreateSlotCommandInput,
    cb: (err: any, data?: CreateSlotCommandOutput) => void
  ): void;
  createSlot(
    args: CreateSlotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateSlotCommandOutput) => void
  ): void;
  createSlotType(
    args: CreateSlotTypeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateSlotTypeCommandOutput>;
  createSlotType(
    args: CreateSlotTypeCommandInput,
    cb: (err: any, data?: CreateSlotTypeCommandOutput) => void
  ): void;
  createSlotType(
    args: CreateSlotTypeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateSlotTypeCommandOutput) => void
  ): void;
  createTestSetDiscrepancyReport(
    args: CreateTestSetDiscrepancyReportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateTestSetDiscrepancyReportCommandOutput>;
  createTestSetDiscrepancyReport(
    args: CreateTestSetDiscrepancyReportCommandInput,
    cb: (err: any, data?: CreateTestSetDiscrepancyReportCommandOutput) => void
  ): void;
  createTestSetDiscrepancyReport(
    args: CreateTestSetDiscrepancyReportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateTestSetDiscrepancyReportCommandOutput) => void
  ): void;
  createUploadUrl(): Promise<CreateUploadUrlCommandOutput>;
  createUploadUrl(
    args: CreateUploadUrlCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateUploadUrlCommandOutput>;
  createUploadUrl(
    args: CreateUploadUrlCommandInput,
    cb: (err: any, data?: CreateUploadUrlCommandOutput) => void
  ): void;
  createUploadUrl(
    args: CreateUploadUrlCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateUploadUrlCommandOutput) => void
  ): void;
  deleteBot(
    args: DeleteBotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBotCommandOutput>;
  deleteBot(
    args: DeleteBotCommandInput,
    cb: (err: any, data?: DeleteBotCommandOutput) => void
  ): void;
  deleteBot(
    args: DeleteBotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBotCommandOutput) => void
  ): void;
  deleteBotAlias(
    args: DeleteBotAliasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBotAliasCommandOutput>;
  deleteBotAlias(
    args: DeleteBotAliasCommandInput,
    cb: (err: any, data?: DeleteBotAliasCommandOutput) => void
  ): void;
  deleteBotAlias(
    args: DeleteBotAliasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBotAliasCommandOutput) => void
  ): void;
  deleteBotLocale(
    args: DeleteBotLocaleCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBotLocaleCommandOutput>;
  deleteBotLocale(
    args: DeleteBotLocaleCommandInput,
    cb: (err: any, data?: DeleteBotLocaleCommandOutput) => void
  ): void;
  deleteBotLocale(
    args: DeleteBotLocaleCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBotLocaleCommandOutput) => void
  ): void;
  deleteBotReplica(
    args: DeleteBotReplicaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBotReplicaCommandOutput>;
  deleteBotReplica(
    args: DeleteBotReplicaCommandInput,
    cb: (err: any, data?: DeleteBotReplicaCommandOutput) => void
  ): void;
  deleteBotReplica(
    args: DeleteBotReplicaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBotReplicaCommandOutput) => void
  ): void;
  deleteBotVersion(
    args: DeleteBotVersionCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBotVersionCommandOutput>;
  deleteBotVersion(
    args: DeleteBotVersionCommandInput,
    cb: (err: any, data?: DeleteBotVersionCommandOutput) => void
  ): void;
  deleteBotVersion(
    args: DeleteBotVersionCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBotVersionCommandOutput) => void
  ): void;
  deleteCustomVocabulary(
    args: DeleteCustomVocabularyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteCustomVocabularyCommandOutput>;
  deleteCustomVocabulary(
    args: DeleteCustomVocabularyCommandInput,
    cb: (err: any, data?: DeleteCustomVocabularyCommandOutput) => void
  ): void;
  deleteCustomVocabulary(
    args: DeleteCustomVocabularyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteCustomVocabularyCommandOutput) => void
  ): void;
  deleteExport(
    args: DeleteExportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteExportCommandOutput>;
  deleteExport(
    args: DeleteExportCommandInput,
    cb: (err: any, data?: DeleteExportCommandOutput) => void
  ): void;
  deleteExport(
    args: DeleteExportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteExportCommandOutput) => void
  ): void;
  deleteImport(
    args: DeleteImportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteImportCommandOutput>;
  deleteImport(
    args: DeleteImportCommandInput,
    cb: (err: any, data?: DeleteImportCommandOutput) => void
  ): void;
  deleteImport(
    args: DeleteImportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteImportCommandOutput) => void
  ): void;
  deleteIntent(
    args: DeleteIntentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteIntentCommandOutput>;
  deleteIntent(
    args: DeleteIntentCommandInput,
    cb: (err: any, data?: DeleteIntentCommandOutput) => void
  ): void;
  deleteIntent(
    args: DeleteIntentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteIntentCommandOutput) => void
  ): void;
  deleteResourcePolicy(
    args: DeleteResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteResourcePolicyCommandOutput>;
  deleteResourcePolicy(
    args: DeleteResourcePolicyCommandInput,
    cb: (err: any, data?: DeleteResourcePolicyCommandOutput) => void
  ): void;
  deleteResourcePolicy(
    args: DeleteResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteResourcePolicyCommandOutput) => void
  ): void;
  deleteResourcePolicyStatement(
    args: DeleteResourcePolicyStatementCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteResourcePolicyStatementCommandOutput>;
  deleteResourcePolicyStatement(
    args: DeleteResourcePolicyStatementCommandInput,
    cb: (err: any, data?: DeleteResourcePolicyStatementCommandOutput) => void
  ): void;
  deleteResourcePolicyStatement(
    args: DeleteResourcePolicyStatementCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteResourcePolicyStatementCommandOutput) => void
  ): void;
  deleteSlot(
    args: DeleteSlotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteSlotCommandOutput>;
  deleteSlot(
    args: DeleteSlotCommandInput,
    cb: (err: any, data?: DeleteSlotCommandOutput) => void
  ): void;
  deleteSlot(
    args: DeleteSlotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteSlotCommandOutput) => void
  ): void;
  deleteSlotType(
    args: DeleteSlotTypeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteSlotTypeCommandOutput>;
  deleteSlotType(
    args: DeleteSlotTypeCommandInput,
    cb: (err: any, data?: DeleteSlotTypeCommandOutput) => void
  ): void;
  deleteSlotType(
    args: DeleteSlotTypeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteSlotTypeCommandOutput) => void
  ): void;
  deleteTestSet(
    args: DeleteTestSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteTestSetCommandOutput>;
  deleteTestSet(
    args: DeleteTestSetCommandInput,
    cb: (err: any, data?: DeleteTestSetCommandOutput) => void
  ): void;
  deleteTestSet(
    args: DeleteTestSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteTestSetCommandOutput) => void
  ): void;
  deleteUtterances(
    args: DeleteUtterancesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteUtterancesCommandOutput>;
  deleteUtterances(
    args: DeleteUtterancesCommandInput,
    cb: (err: any, data?: DeleteUtterancesCommandOutput) => void
  ): void;
  deleteUtterances(
    args: DeleteUtterancesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteUtterancesCommandOutput) => void
  ): void;
  describeBot(
    args: DescribeBotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotCommandOutput>;
  describeBot(
    args: DescribeBotCommandInput,
    cb: (err: any, data?: DescribeBotCommandOutput) => void
  ): void;
  describeBot(
    args: DescribeBotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotCommandOutput) => void
  ): void;
  describeBotAlias(
    args: DescribeBotAliasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotAliasCommandOutput>;
  describeBotAlias(
    args: DescribeBotAliasCommandInput,
    cb: (err: any, data?: DescribeBotAliasCommandOutput) => void
  ): void;
  describeBotAlias(
    args: DescribeBotAliasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotAliasCommandOutput) => void
  ): void;
  describeBotLocale(
    args: DescribeBotLocaleCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotLocaleCommandOutput>;
  describeBotLocale(
    args: DescribeBotLocaleCommandInput,
    cb: (err: any, data?: DescribeBotLocaleCommandOutput) => void
  ): void;
  describeBotLocale(
    args: DescribeBotLocaleCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotLocaleCommandOutput) => void
  ): void;
  describeBotRecommendation(
    args: DescribeBotRecommendationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotRecommendationCommandOutput>;
  describeBotRecommendation(
    args: DescribeBotRecommendationCommandInput,
    cb: (err: any, data?: DescribeBotRecommendationCommandOutput) => void
  ): void;
  describeBotRecommendation(
    args: DescribeBotRecommendationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotRecommendationCommandOutput) => void
  ): void;
  describeBotReplica(
    args: DescribeBotReplicaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotReplicaCommandOutput>;
  describeBotReplica(
    args: DescribeBotReplicaCommandInput,
    cb: (err: any, data?: DescribeBotReplicaCommandOutput) => void
  ): void;
  describeBotReplica(
    args: DescribeBotReplicaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotReplicaCommandOutput) => void
  ): void;
  describeBotResourceGeneration(
    args: DescribeBotResourceGenerationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotResourceGenerationCommandOutput>;
  describeBotResourceGeneration(
    args: DescribeBotResourceGenerationCommandInput,
    cb: (err: any, data?: DescribeBotResourceGenerationCommandOutput) => void
  ): void;
  describeBotResourceGeneration(
    args: DescribeBotResourceGenerationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotResourceGenerationCommandOutput) => void
  ): void;
  describeBotVersion(
    args: DescribeBotVersionCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeBotVersionCommandOutput>;
  describeBotVersion(
    args: DescribeBotVersionCommandInput,
    cb: (err: any, data?: DescribeBotVersionCommandOutput) => void
  ): void;
  describeBotVersion(
    args: DescribeBotVersionCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeBotVersionCommandOutput) => void
  ): void;
  describeCustomVocabularyMetadata(
    args: DescribeCustomVocabularyMetadataCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeCustomVocabularyMetadataCommandOutput>;
  describeCustomVocabularyMetadata(
    args: DescribeCustomVocabularyMetadataCommandInput,
    cb: (err: any, data?: DescribeCustomVocabularyMetadataCommandOutput) => void
  ): void;
  describeCustomVocabularyMetadata(
    args: DescribeCustomVocabularyMetadataCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeCustomVocabularyMetadataCommandOutput) => void
  ): void;
  describeExport(
    args: DescribeExportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeExportCommandOutput>;
  describeExport(
    args: DescribeExportCommandInput,
    cb: (err: any, data?: DescribeExportCommandOutput) => void
  ): void;
  describeExport(
    args: DescribeExportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeExportCommandOutput) => void
  ): void;
  describeImport(
    args: DescribeImportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeImportCommandOutput>;
  describeImport(
    args: DescribeImportCommandInput,
    cb: (err: any, data?: DescribeImportCommandOutput) => void
  ): void;
  describeImport(
    args: DescribeImportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeImportCommandOutput) => void
  ): void;
  describeIntent(
    args: DescribeIntentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeIntentCommandOutput>;
  describeIntent(
    args: DescribeIntentCommandInput,
    cb: (err: any, data?: DescribeIntentCommandOutput) => void
  ): void;
  describeIntent(
    args: DescribeIntentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeIntentCommandOutput) => void
  ): void;
  describeResourcePolicy(
    args: DescribeResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeResourcePolicyCommandOutput>;
  describeResourcePolicy(
    args: DescribeResourcePolicyCommandInput,
    cb: (err: any, data?: DescribeResourcePolicyCommandOutput) => void
  ): void;
  describeResourcePolicy(
    args: DescribeResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeResourcePolicyCommandOutput) => void
  ): void;
  describeSlot(
    args: DescribeSlotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeSlotCommandOutput>;
  describeSlot(
    args: DescribeSlotCommandInput,
    cb: (err: any, data?: DescribeSlotCommandOutput) => void
  ): void;
  describeSlot(
    args: DescribeSlotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeSlotCommandOutput) => void
  ): void;
  describeSlotType(
    args: DescribeSlotTypeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeSlotTypeCommandOutput>;
  describeSlotType(
    args: DescribeSlotTypeCommandInput,
    cb: (err: any, data?: DescribeSlotTypeCommandOutput) => void
  ): void;
  describeSlotType(
    args: DescribeSlotTypeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeSlotTypeCommandOutput) => void
  ): void;
  describeTestExecution(
    args: DescribeTestExecutionCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeTestExecutionCommandOutput>;
  describeTestExecution(
    args: DescribeTestExecutionCommandInput,
    cb: (err: any, data?: DescribeTestExecutionCommandOutput) => void
  ): void;
  describeTestExecution(
    args: DescribeTestExecutionCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeTestExecutionCommandOutput) => void
  ): void;
  describeTestSet(
    args: DescribeTestSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeTestSetCommandOutput>;
  describeTestSet(
    args: DescribeTestSetCommandInput,
    cb: (err: any, data?: DescribeTestSetCommandOutput) => void
  ): void;
  describeTestSet(
    args: DescribeTestSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeTestSetCommandOutput) => void
  ): void;
  describeTestSetDiscrepancyReport(
    args: DescribeTestSetDiscrepancyReportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeTestSetDiscrepancyReportCommandOutput>;
  describeTestSetDiscrepancyReport(
    args: DescribeTestSetDiscrepancyReportCommandInput,
    cb: (err: any, data?: DescribeTestSetDiscrepancyReportCommandOutput) => void
  ): void;
  describeTestSetDiscrepancyReport(
    args: DescribeTestSetDiscrepancyReportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeTestSetDiscrepancyReportCommandOutput) => void
  ): void;
  describeTestSetGeneration(
    args: DescribeTestSetGenerationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeTestSetGenerationCommandOutput>;
  describeTestSetGeneration(
    args: DescribeTestSetGenerationCommandInput,
    cb: (err: any, data?: DescribeTestSetGenerationCommandOutput) => void
  ): void;
  describeTestSetGeneration(
    args: DescribeTestSetGenerationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeTestSetGenerationCommandOutput) => void
  ): void;
  generateBotElement(
    args: GenerateBotElementCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GenerateBotElementCommandOutput>;
  generateBotElement(
    args: GenerateBotElementCommandInput,
    cb: (err: any, data?: GenerateBotElementCommandOutput) => void
  ): void;
  generateBotElement(
    args: GenerateBotElementCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GenerateBotElementCommandOutput) => void
  ): void;
  getTestExecutionArtifactsUrl(
    args: GetTestExecutionArtifactsUrlCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetTestExecutionArtifactsUrlCommandOutput>;
  getTestExecutionArtifactsUrl(
    args: GetTestExecutionArtifactsUrlCommandInput,
    cb: (err: any, data?: GetTestExecutionArtifactsUrlCommandOutput) => void
  ): void;
  getTestExecutionArtifactsUrl(
    args: GetTestExecutionArtifactsUrlCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetTestExecutionArtifactsUrlCommandOutput) => void
  ): void;
  listAggregatedUtterances(
    args: ListAggregatedUtterancesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAggregatedUtterancesCommandOutput>;
  listAggregatedUtterances(
    args: ListAggregatedUtterancesCommandInput,
    cb: (err: any, data?: ListAggregatedUtterancesCommandOutput) => void
  ): void;
  listAggregatedUtterances(
    args: ListAggregatedUtterancesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAggregatedUtterancesCommandOutput) => void
  ): void;
  listBotAliases(
    args: ListBotAliasesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotAliasesCommandOutput>;
  listBotAliases(
    args: ListBotAliasesCommandInput,
    cb: (err: any, data?: ListBotAliasesCommandOutput) => void
  ): void;
  listBotAliases(
    args: ListBotAliasesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotAliasesCommandOutput) => void
  ): void;
  listBotAliasReplicas(
    args: ListBotAliasReplicasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotAliasReplicasCommandOutput>;
  listBotAliasReplicas(
    args: ListBotAliasReplicasCommandInput,
    cb: (err: any, data?: ListBotAliasReplicasCommandOutput) => void
  ): void;
  listBotAliasReplicas(
    args: ListBotAliasReplicasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotAliasReplicasCommandOutput) => void
  ): void;
  listBotLocales(
    args: ListBotLocalesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotLocalesCommandOutput>;
  listBotLocales(
    args: ListBotLocalesCommandInput,
    cb: (err: any, data?: ListBotLocalesCommandOutput) => void
  ): void;
  listBotLocales(
    args: ListBotLocalesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotLocalesCommandOutput) => void
  ): void;
  listBotRecommendations(
    args: ListBotRecommendationsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotRecommendationsCommandOutput>;
  listBotRecommendations(
    args: ListBotRecommendationsCommandInput,
    cb: (err: any, data?: ListBotRecommendationsCommandOutput) => void
  ): void;
  listBotRecommendations(
    args: ListBotRecommendationsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotRecommendationsCommandOutput) => void
  ): void;
  listBotReplicas(
    args: ListBotReplicasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotReplicasCommandOutput>;
  listBotReplicas(
    args: ListBotReplicasCommandInput,
    cb: (err: any, data?: ListBotReplicasCommandOutput) => void
  ): void;
  listBotReplicas(
    args: ListBotReplicasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotReplicasCommandOutput) => void
  ): void;
  listBotResourceGenerations(
    args: ListBotResourceGenerationsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotResourceGenerationsCommandOutput>;
  listBotResourceGenerations(
    args: ListBotResourceGenerationsCommandInput,
    cb: (err: any, data?: ListBotResourceGenerationsCommandOutput) => void
  ): void;
  listBotResourceGenerations(
    args: ListBotResourceGenerationsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotResourceGenerationsCommandOutput) => void
  ): void;
  listBots(): Promise<ListBotsCommandOutput>;
  listBots(
    args: ListBotsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotsCommandOutput>;
  listBots(
    args: ListBotsCommandInput,
    cb: (err: any, data?: ListBotsCommandOutput) => void
  ): void;
  listBots(
    args: ListBotsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotsCommandOutput) => void
  ): void;
  listBotVersionReplicas(
    args: ListBotVersionReplicasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotVersionReplicasCommandOutput>;
  listBotVersionReplicas(
    args: ListBotVersionReplicasCommandInput,
    cb: (err: any, data?: ListBotVersionReplicasCommandOutput) => void
  ): void;
  listBotVersionReplicas(
    args: ListBotVersionReplicasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotVersionReplicasCommandOutput) => void
  ): void;
  listBotVersions(
    args: ListBotVersionsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBotVersionsCommandOutput>;
  listBotVersions(
    args: ListBotVersionsCommandInput,
    cb: (err: any, data?: ListBotVersionsCommandOutput) => void
  ): void;
  listBotVersions(
    args: ListBotVersionsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBotVersionsCommandOutput) => void
  ): void;
  listBuiltInIntents(
    args: ListBuiltInIntentsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBuiltInIntentsCommandOutput>;
  listBuiltInIntents(
    args: ListBuiltInIntentsCommandInput,
    cb: (err: any, data?: ListBuiltInIntentsCommandOutput) => void
  ): void;
  listBuiltInIntents(
    args: ListBuiltInIntentsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBuiltInIntentsCommandOutput) => void
  ): void;
  listBuiltInSlotTypes(
    args: ListBuiltInSlotTypesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListBuiltInSlotTypesCommandOutput>;
  listBuiltInSlotTypes(
    args: ListBuiltInSlotTypesCommandInput,
    cb: (err: any, data?: ListBuiltInSlotTypesCommandOutput) => void
  ): void;
  listBuiltInSlotTypes(
    args: ListBuiltInSlotTypesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListBuiltInSlotTypesCommandOutput) => void
  ): void;
  listCustomVocabularyItems(
    args: ListCustomVocabularyItemsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListCustomVocabularyItemsCommandOutput>;
  listCustomVocabularyItems(
    args: ListCustomVocabularyItemsCommandInput,
    cb: (err: any, data?: ListCustomVocabularyItemsCommandOutput) => void
  ): void;
  listCustomVocabularyItems(
    args: ListCustomVocabularyItemsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListCustomVocabularyItemsCommandOutput) => void
  ): void;
  listExports(): Promise<ListExportsCommandOutput>;
  listExports(
    args: ListExportsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListExportsCommandOutput>;
  listExports(
    args: ListExportsCommandInput,
    cb: (err: any, data?: ListExportsCommandOutput) => void
  ): void;
  listExports(
    args: ListExportsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListExportsCommandOutput) => void
  ): void;
  listImports(): Promise<ListImportsCommandOutput>;
  listImports(
    args: ListImportsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListImportsCommandOutput>;
  listImports(
    args: ListImportsCommandInput,
    cb: (err: any, data?: ListImportsCommandOutput) => void
  ): void;
  listImports(
    args: ListImportsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListImportsCommandOutput) => void
  ): void;
  listIntentMetrics(
    args: ListIntentMetricsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListIntentMetricsCommandOutput>;
  listIntentMetrics(
    args: ListIntentMetricsCommandInput,
    cb: (err: any, data?: ListIntentMetricsCommandOutput) => void
  ): void;
  listIntentMetrics(
    args: ListIntentMetricsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListIntentMetricsCommandOutput) => void
  ): void;
  listIntentPaths(
    args: ListIntentPathsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListIntentPathsCommandOutput>;
  listIntentPaths(
    args: ListIntentPathsCommandInput,
    cb: (err: any, data?: ListIntentPathsCommandOutput) => void
  ): void;
  listIntentPaths(
    args: ListIntentPathsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListIntentPathsCommandOutput) => void
  ): void;
  listIntents(
    args: ListIntentsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListIntentsCommandOutput>;
  listIntents(
    args: ListIntentsCommandInput,
    cb: (err: any, data?: ListIntentsCommandOutput) => void
  ): void;
  listIntents(
    args: ListIntentsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListIntentsCommandOutput) => void
  ): void;
  listIntentStageMetrics(
    args: ListIntentStageMetricsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListIntentStageMetricsCommandOutput>;
  listIntentStageMetrics(
    args: ListIntentStageMetricsCommandInput,
    cb: (err: any, data?: ListIntentStageMetricsCommandOutput) => void
  ): void;
  listIntentStageMetrics(
    args: ListIntentStageMetricsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListIntentStageMetricsCommandOutput) => void
  ): void;
  listRecommendedIntents(
    args: ListRecommendedIntentsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListRecommendedIntentsCommandOutput>;
  listRecommendedIntents(
    args: ListRecommendedIntentsCommandInput,
    cb: (err: any, data?: ListRecommendedIntentsCommandOutput) => void
  ): void;
  listRecommendedIntents(
    args: ListRecommendedIntentsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListRecommendedIntentsCommandOutput) => void
  ): void;
  listSessionAnalyticsData(
    args: ListSessionAnalyticsDataCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListSessionAnalyticsDataCommandOutput>;
  listSessionAnalyticsData(
    args: ListSessionAnalyticsDataCommandInput,
    cb: (err: any, data?: ListSessionAnalyticsDataCommandOutput) => void
  ): void;
  listSessionAnalyticsData(
    args: ListSessionAnalyticsDataCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListSessionAnalyticsDataCommandOutput) => void
  ): void;
  listSessionMetrics(
    args: ListSessionMetricsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListSessionMetricsCommandOutput>;
  listSessionMetrics(
    args: ListSessionMetricsCommandInput,
    cb: (err: any, data?: ListSessionMetricsCommandOutput) => void
  ): void;
  listSessionMetrics(
    args: ListSessionMetricsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListSessionMetricsCommandOutput) => void
  ): void;
  listSlots(
    args: ListSlotsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListSlotsCommandOutput>;
  listSlots(
    args: ListSlotsCommandInput,
    cb: (err: any, data?: ListSlotsCommandOutput) => void
  ): void;
  listSlots(
    args: ListSlotsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListSlotsCommandOutput) => void
  ): void;
  listSlotTypes(
    args: ListSlotTypesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListSlotTypesCommandOutput>;
  listSlotTypes(
    args: ListSlotTypesCommandInput,
    cb: (err: any, data?: ListSlotTypesCommandOutput) => void
  ): void;
  listSlotTypes(
    args: ListSlotTypesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListSlotTypesCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTagsForResourceCommandOutput>;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  listTestExecutionResultItems(
    args: ListTestExecutionResultItemsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTestExecutionResultItemsCommandOutput>;
  listTestExecutionResultItems(
    args: ListTestExecutionResultItemsCommandInput,
    cb: (err: any, data?: ListTestExecutionResultItemsCommandOutput) => void
  ): void;
  listTestExecutionResultItems(
    args: ListTestExecutionResultItemsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTestExecutionResultItemsCommandOutput) => void
  ): void;
  listTestExecutions(): Promise<ListTestExecutionsCommandOutput>;
  listTestExecutions(
    args: ListTestExecutionsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTestExecutionsCommandOutput>;
  listTestExecutions(
    args: ListTestExecutionsCommandInput,
    cb: (err: any, data?: ListTestExecutionsCommandOutput) => void
  ): void;
  listTestExecutions(
    args: ListTestExecutionsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTestExecutionsCommandOutput) => void
  ): void;
  listTestSetRecords(
    args: ListTestSetRecordsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTestSetRecordsCommandOutput>;
  listTestSetRecords(
    args: ListTestSetRecordsCommandInput,
    cb: (err: any, data?: ListTestSetRecordsCommandOutput) => void
  ): void;
  listTestSetRecords(
    args: ListTestSetRecordsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTestSetRecordsCommandOutput) => void
  ): void;
  listTestSets(): Promise<ListTestSetsCommandOutput>;
  listTestSets(
    args: ListTestSetsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTestSetsCommandOutput>;
  listTestSets(
    args: ListTestSetsCommandInput,
    cb: (err: any, data?: ListTestSetsCommandOutput) => void
  ): void;
  listTestSets(
    args: ListTestSetsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTestSetsCommandOutput) => void
  ): void;
  listUtteranceAnalyticsData(
    args: ListUtteranceAnalyticsDataCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListUtteranceAnalyticsDataCommandOutput>;
  listUtteranceAnalyticsData(
    args: ListUtteranceAnalyticsDataCommandInput,
    cb: (err: any, data?: ListUtteranceAnalyticsDataCommandOutput) => void
  ): void;
  listUtteranceAnalyticsData(
    args: ListUtteranceAnalyticsDataCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListUtteranceAnalyticsDataCommandOutput) => void
  ): void;
  listUtteranceMetrics(
    args: ListUtteranceMetricsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListUtteranceMetricsCommandOutput>;
  listUtteranceMetrics(
    args: ListUtteranceMetricsCommandInput,
    cb: (err: any, data?: ListUtteranceMetricsCommandOutput) => void
  ): void;
  listUtteranceMetrics(
    args: ListUtteranceMetricsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListUtteranceMetricsCommandOutput) => void
  ): void;
  searchAssociatedTranscripts(
    args: SearchAssociatedTranscriptsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<SearchAssociatedTranscriptsCommandOutput>;
  searchAssociatedTranscripts(
    args: SearchAssociatedTranscriptsCommandInput,
    cb: (err: any, data?: SearchAssociatedTranscriptsCommandOutput) => void
  ): void;
  searchAssociatedTranscripts(
    args: SearchAssociatedTranscriptsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: SearchAssociatedTranscriptsCommandOutput) => void
  ): void;
  startBotRecommendation(
    args: StartBotRecommendationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<StartBotRecommendationCommandOutput>;
  startBotRecommendation(
    args: StartBotRecommendationCommandInput,
    cb: (err: any, data?: StartBotRecommendationCommandOutput) => void
  ): void;
  startBotRecommendation(
    args: StartBotRecommendationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: StartBotRecommendationCommandOutput) => void
  ): void;
  startBotResourceGeneration(
    args: StartBotResourceGenerationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<StartBotResourceGenerationCommandOutput>;
  startBotResourceGeneration(
    args: StartBotResourceGenerationCommandInput,
    cb: (err: any, data?: StartBotResourceGenerationCommandOutput) => void
  ): void;
  startBotResourceGeneration(
    args: StartBotResourceGenerationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: StartBotResourceGenerationCommandOutput) => void
  ): void;
  startImport(
    args: StartImportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<StartImportCommandOutput>;
  startImport(
    args: StartImportCommandInput,
    cb: (err: any, data?: StartImportCommandOutput) => void
  ): void;
  startImport(
    args: StartImportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: StartImportCommandOutput) => void
  ): void;
  startTestExecution(
    args: StartTestExecutionCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<StartTestExecutionCommandOutput>;
  startTestExecution(
    args: StartTestExecutionCommandInput,
    cb: (err: any, data?: StartTestExecutionCommandOutput) => void
  ): void;
  startTestExecution(
    args: StartTestExecutionCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: StartTestExecutionCommandOutput) => void
  ): void;
  startTestSetGeneration(
    args: StartTestSetGenerationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<StartTestSetGenerationCommandOutput>;
  startTestSetGeneration(
    args: StartTestSetGenerationCommandInput,
    cb: (err: any, data?: StartTestSetGenerationCommandOutput) => void
  ): void;
  startTestSetGeneration(
    args: StartTestSetGenerationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: StartTestSetGenerationCommandOutput) => void
  ): void;
  stopBotRecommendation(
    args: StopBotRecommendationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<StopBotRecommendationCommandOutput>;
  stopBotRecommendation(
    args: StopBotRecommendationCommandInput,
    cb: (err: any, data?: StopBotRecommendationCommandOutput) => void
  ): void;
  stopBotRecommendation(
    args: StopBotRecommendationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: StopBotRecommendationCommandOutput) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<TagResourceCommandOutput>;
  tagResource(
    args: TagResourceCommandInput,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UntagResourceCommandOutput>;
  untagResource(
    args: UntagResourceCommandInput,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  updateBot(
    args: UpdateBotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateBotCommandOutput>;
  updateBot(
    args: UpdateBotCommandInput,
    cb: (err: any, data?: UpdateBotCommandOutput) => void
  ): void;
  updateBot(
    args: UpdateBotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateBotCommandOutput) => void
  ): void;
  updateBotAlias(
    args: UpdateBotAliasCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateBotAliasCommandOutput>;
  updateBotAlias(
    args: UpdateBotAliasCommandInput,
    cb: (err: any, data?: UpdateBotAliasCommandOutput) => void
  ): void;
  updateBotAlias(
    args: UpdateBotAliasCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateBotAliasCommandOutput) => void
  ): void;
  updateBotLocale(
    args: UpdateBotLocaleCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateBotLocaleCommandOutput>;
  updateBotLocale(
    args: UpdateBotLocaleCommandInput,
    cb: (err: any, data?: UpdateBotLocaleCommandOutput) => void
  ): void;
  updateBotLocale(
    args: UpdateBotLocaleCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateBotLocaleCommandOutput) => void
  ): void;
  updateBotRecommendation(
    args: UpdateBotRecommendationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateBotRecommendationCommandOutput>;
  updateBotRecommendation(
    args: UpdateBotRecommendationCommandInput,
    cb: (err: any, data?: UpdateBotRecommendationCommandOutput) => void
  ): void;
  updateBotRecommendation(
    args: UpdateBotRecommendationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateBotRecommendationCommandOutput) => void
  ): void;
  updateExport(
    args: UpdateExportCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateExportCommandOutput>;
  updateExport(
    args: UpdateExportCommandInput,
    cb: (err: any, data?: UpdateExportCommandOutput) => void
  ): void;
  updateExport(
    args: UpdateExportCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateExportCommandOutput) => void
  ): void;
  updateIntent(
    args: UpdateIntentCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateIntentCommandOutput>;
  updateIntent(
    args: UpdateIntentCommandInput,
    cb: (err: any, data?: UpdateIntentCommandOutput) => void
  ): void;
  updateIntent(
    args: UpdateIntentCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateIntentCommandOutput) => void
  ): void;
  updateResourcePolicy(
    args: UpdateResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateResourcePolicyCommandOutput>;
  updateResourcePolicy(
    args: UpdateResourcePolicyCommandInput,
    cb: (err: any, data?: UpdateResourcePolicyCommandOutput) => void
  ): void;
  updateResourcePolicy(
    args: UpdateResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateResourcePolicyCommandOutput) => void
  ): void;
  updateSlot(
    args: UpdateSlotCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateSlotCommandOutput>;
  updateSlot(
    args: UpdateSlotCommandInput,
    cb: (err: any, data?: UpdateSlotCommandOutput) => void
  ): void;
  updateSlot(
    args: UpdateSlotCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateSlotCommandOutput) => void
  ): void;
  updateSlotType(
    args: UpdateSlotTypeCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateSlotTypeCommandOutput>;
  updateSlotType(
    args: UpdateSlotTypeCommandInput,
    cb: (err: any, data?: UpdateSlotTypeCommandOutput) => void
  ): void;
  updateSlotType(
    args: UpdateSlotTypeCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateSlotTypeCommandOutput) => void
  ): void;
  updateTestSet(
    args: UpdateTestSetCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateTestSetCommandOutput>;
  updateTestSet(
    args: UpdateTestSetCommandInput,
    cb: (err: any, data?: UpdateTestSetCommandOutput) => void
  ): void;
  updateTestSet(
    args: UpdateTestSetCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateTestSetCommandOutput) => void
  ): void;
}
export declare class LexModelsV2
  extends LexModelsV2Client
  implements LexModelsV2 {}
